Subject: Re: bug#34794: 26.1; doc of `read-buffer'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Mar 2019 20:26:31 +0200

> Date: Sat, 09 Mar 2019 20:16:22 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > I cannot tell from the doc string that the default value,
> > i.e., the value returned when DEF is nil, is the empty
> > string.
> 
>   Optional second arg DEF is value to return if user enters an empty line.
> 
> Doesn't this say that when DEF is omitted the function will return
> that empty line?

I made a small change to make it even more clear.

> > It's not hard to state what the default DEF behavior
> > is, and then later say that if `read-buffer-function'
> > is non-nil then the use of the other args is up to it,
> > i.e., not necessarily as described above.  This is
> > not unusual for a function that optionally accepts a
> > function arg as one possibility.
> 
> Please suggest such a text, because I definitely don't see an easy way
> of saying that, without triggering more bug reports like this one.

Didn't do anything about this.  Feel free to reopen if you think the
bug is not done without that.